using System;

namespace drugiKrugDrugi
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            string[] sol = new string[t];

            for (int i = 0; i < t; i++)
            {
                string[] input = Console.ReadLine().Split();
                ulong n = ulong.Parse(input[0]);
                ulong m = ulong.Parse(input[1]);
                ulong k = ulong.Parse(input[2]);

                if ((k - 1) + n * (n + 1) / 2 <= m)
                {
                    sol[i] = "Tak";
                }
                else
                {
                    sol[i] = "Nie";
                }
            }

            for (int i = 0; i < t; i++)
            {
                Console.WriteLine(sol[i]);
            }
        }
    }
}